# GstTagXmpWriter

This interface is implemented by elements that are able to do XMP serialization. Examples for such elements are jifmux and qtmux.

Applications can use this interface to configure which XMP schemas should be used when serializing tags into XMP. Schemas are represented by their names, a full list of the supported schemas can be obtained from gst_tag_xmp_list_schemas. By default, all schemas are used.

## GstTagXmpWriter

## GstTag.TagXmpWriter

### Methods

#### gst_tag_xmp_writer_add_all_schemas

    gst_tag_xmp_writer_add_all_schemas (GstTagXmpWriter * config)

Adds all available XMP schemas to the configuration. Meaning that all will be used.

Parameters:

`config` –

a GstTagXmpWriter

#### GstTag.TagXmpWriter.prototype.add_all_schemas

    function GstTag.TagXmpWriter.prototype.add_all_schemas(): {
        // javascript wrapper for 'gst_tag_xmp_writer_add_all_schemas'
    }

Adds all available XMP schemas to the configuration. Meaning that all will be used.

Parameters:

`config` (GstTag.TagXmpWriter) –

a GstTag.TagXmpWriter

#### GstTag.TagXmpWriter.add_all_schemas

    def GstTag.TagXmpWriter.add_all_schemas (self):
        #python wrapper for 'gst_tag_xmp_writer_add_all_schemas'

Adds all available XMP schemas to the configuration. Meaning that all will be used.

Parameters:

`config` (GstTag.TagXmpWriter) –

a GstTag.TagXmpWriter

#### gst_tag_xmp_writer_add_schema

    gst_tag_xmp_writer_add_schema (GstTagXmpWriter * config,
                                   const gchar* schema)

Adds schema to the list schemas

Parameters:

`config` –

a GstTagXmpWriter

`schema` –

the schema to be added

#### GstTag.TagXmpWriter.prototype.add_schema

    function GstTag.TagXmpWriter.prototype.add_schema(schema: String): {
        // javascript wrapper for 'gst_tag_xmp_writer_add_schema'
    }

Adds schema to the list schemas

Parameters:

`config` (GstTag.TagXmpWriter) –

a GstTag.TagXmpWriter

`schema` (String) –

the schema to be added

#### GstTag.TagXmpWriter.add_schema

    def GstTag.TagXmpWriter.add_schema (self, schema):
        #python wrapper for 'gst_tag_xmp_writer_add_schema'

Adds schema to the list schemas

Parameters:

`config` (GstTag.TagXmpWriter) –

a GstTag.TagXmpWriter

`schema` (str) –

the schema to be added

#### gst_tag_xmp_writer_has_schema

    gboolean
    gst_tag_xmp_writer_has_schema (GstTagXmpWriter * config,
                                   const gchar* schema)

Checks if schema is going to be used

Parameters:

`config` –

a GstTagXmpWriter

`schema` –

the schema to test

Returns –

TRUE if it is going to be used

#### GstTag.TagXmpWriter.prototype.has_schema

    function GstTag.TagXmpWriter.prototype.has_schema(schema: String): {
        // javascript wrapper for 'gst_tag_xmp_writer_has_schema'
    }

Checks if schema is going to be used

Parameters:

`config` (GstTag.TagXmpWriter) –

a GstTag.TagXmpWriter

`schema` (String) –

the schema to test

Returns (Number) –

TRUE if it is going to be used

#### GstTag.TagXmpWriter.has_schema

    def GstTag.TagXmpWriter.has_schema (self, schema):
        #python wrapper for 'gst_tag_xmp_writer_has_schema'

Checks if schema is going to be used

Parameters:

`config` (GstTag.TagXmpWriter) –

a GstTag.TagXmpWriter

`schema` (str) –

the schema to test

Returns (bool) –

TRUE if it is going to be used

#### gst_tag_xmp_writer_remove_all_schemas

    gst_tag_xmp_writer_remove_all_schemas (GstTagXmpWriter * config)

Removes all schemas from the list of schemas to use. Meaning that no XMP will be generated.

Parameters:

`config` –

a GstTagXmpWriter

#### GstTag.TagXmpWriter.prototype.remove_all_schemas

    function GstTag.TagXmpWriter.prototype.remove_all_schemas(): {
        // javascript wrapper for 'gst_tag_xmp_writer_remove_all_schemas'
    }

Removes all schemas from the list of schemas to use. Meaning that no XMP will be generated.

Parameters:

`config` (GstTag.TagXmpWriter) –

a GstTag.TagXmpWriter

#### GstTag.TagXmpWriter.remove_all_schemas

    def GstTag.TagXmpWriter.remove_all_schemas (self):
        #python wrapper for 'gst_tag_xmp_writer_remove_all_schemas'

Removes all schemas from the list of schemas to use. Meaning that no XMP will be generated.

Parameters:

`config` (GstTag.TagXmpWriter) –

a GstTag.TagXmpWriter

#### gst_tag_xmp_writer_remove_schema

    gst_tag_xmp_writer_remove_schema (GstTagXmpWriter * config,
                                      const gchar* schema)

Removes a schema from the list of schemas to use. Nothing is done if the schema wasn't in the list

Parameters:

`config` –

a GstTagXmpWriter

`schema` –

the schema to remove

#### GstTag.TagXmpWriter.prototype.remove_schema

    function GstTag.TagXmpWriter.prototype.remove_schema(schema: String): {
        // javascript wrapper for 'gst_tag_xmp_writer_remove_schema'
    }

Removes a schema from the list of schemas to use. Nothing is done if the schema wasn't in the list

Parameters:

`config` (GstTag.TagXmpWriter) –

a GstTag.TagXmpWriter

`schema` (String) –

the schema to remove

#### GstTag.TagXmpWriter.remove_schema

    def GstTag.TagXmpWriter.remove_schema (self, schema):
        #python wrapper for 'gst_tag_xmp_writer_remove_schema'

Removes a schema from the list of schemas to use. Nothing is done if the schema wasn't in the list

Parameters:

`config` (GstTag.TagXmpWriter) –

a GstTag.TagXmpWriter

`schema` (str) –

the schema to remove

#### gst_tag_xmp_writer_tag_list_to_xmp_buffer

    GstBuffer *
    gst_tag_xmp_writer_tag_list_to_xmp_buffer (GstTagXmpWriter * config,
                                               const GstTagList * taglist,
                                               gboolean read_only)

Parameters:

`config` –
No description available
`taglist` –
No description available
`read_only` –
No description available
Returns –
No description available

#### GstTag.TagXmpWriter.prototype.tag_list_to_xmp_buffer

    function GstTag.TagXmpWriter.prototype.tag_list_to_xmp_buffer(taglist: Gst.TagList, read_only: Number): {
        // javascript wrapper for 'gst_tag_xmp_writer_tag_list_to_xmp_buffer'
    }

Parameters:

`config` (GstTag.TagXmpWriter) –
No description available
`taglist` (Gst.TagList) –
No description available
`read_only` (Number) –
No description available
Returns (Gst.Buffer) –
No description available

#### GstTag.TagXmpWriter.tag_list_to_xmp_buffer

    def GstTag.TagXmpWriter.tag_list_to_xmp_buffer (self, taglist, read_only):
        #python wrapper for 'gst_tag_xmp_writer_tag_list_to_xmp_buffer'

Parameters:

`config` (GstTag.TagXmpWriter) –
No description available
`taglist` (Gst.TagList) –
No description available
`read_only` (bool) –
No description available
Returns (Gst.Buffer) –
No description available

## Function Macros

### GST_TAG_XMP_WRITER_GET_INTERFACE

    #define GST_TAG_XMP_WRITER_GET_INTERFACE(inst) \
      (G_TYPE_INSTANCE_GET_INTERFACE ((inst), GST_TYPE_TAG_XMP_WRITER, GstTagXmpWriterInterface))

## Constants

### GST_TYPE_TAG_XMP_WRITER

    #define GST_TYPE_TAG_XMP_WRITER \
      (gst_tag_xmp_writer_get_type ())

The results of the search are